## hubzero-expire-sessions 1.0.0

=== Makefile ===
# @package      hubzero-expire-sessions
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

USRLIBDIR=$(DESTDIR)/usr/lib
VARLOGDIR=$(DESTDIR)/var/log
ETCDIR=$(DESTDIR)/etc
OWNER=root
GROUP=root
WEBGROUP=www-data
WEBOWNER=www-data

clean:
	rm -f configure-stamp build-stamp

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/hubzero

	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRLIBDIR)/hubzero/bin/expire-sessions.py
	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.rc $(ETCDIR)/init.d/expire-sessions
