## hubzero-expire-sessions 1.0.1

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,9 @@
 #
 # HUBzero is a registered trademark of Purdue University.
 
-USRLIBDIR=$(DESTDIR)/usr/lib
+USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
+VARRUNDIR=$(DESTDIR)/var/run
 ETCDIR=$(DESTDIR)/etc
 OWNER=root
 GROUP=root
@@ -36,10 +37,12 @@
 clean:
 	rm -f configure-stamp build-stamp
 
-install:
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero
-	install --owner $(OWNER) --group $(GROUP) --mode 0775 -d $(USRLIBDIR)/hubzero/bin
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/hubzero
+install-binary-indep:
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARRUNDIR)/expire-sessions
+	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
 
-	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRLIBDIR)/hubzero/bin/expire-sessions.py
-	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.rc $(ETCDIR)/init.d/expire-sessions
+install-init:
+	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
+
+install: install-binary-indep install-init
