## hubzero-expire-sessions 1.1.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @copyright    Copyright (c) 2010-2012 Purdue University. All rights reserved.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2011 Purdue University
+# Copyright (c) 2010-2012 Purdue University
 # All rights reserved.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
@@ -27,7 +27,6 @@
 
 USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
-VARRUNDIR=$(DESTDIR)/var/run
 ETCDIR=$(DESTDIR)/etc
 OWNER=root
 GROUP=root
@@ -38,11 +37,13 @@
 	rm -f configure-stamp build-stamp
 
 install-binary-indep:
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
-	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARRUNDIR)/expire-sessions
 	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
 
 install-init:
 	install --owner $(OWNER) --group $(GROUP) --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
 
 install: install-binary-indep install-init
+
+postinst:
+	install --owner $(WEBOWNER) --group $(WEBGROUP) --mode 0755 -d $(VARLOGDIR)/expire-sessions
+
