## hubzero-expire-sessions 1.1.4

=== Makefile ===
--- 
+++ 
@@ -27,20 +27,25 @@
 USRSBINDIR=$(DESTDIR)/usr/sbin
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
-WEBGROUP=www-data
-WEBOWNER=www-data
 
 default all build:
 	@true
 
 install:
-	install --mode 0700 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
-	install --mode 0700 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
-	install --mode 0755 -d $(VARLOGDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
+	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
 
 configure:
-	chown $(WEBOWNER):$(WEBGROUP) $(VARLOGDIR)/expire-sessions
-	
+	chown www-data:adm $(VARLOGDIR)/expire-sessions
+	if [ -x "/etc/init.d/expire-sessions" ]; then \
+        update-rc.d expire-sessions defaults >/dev/null; \
+        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \
+                invoke-rc.d expire-sessions start || exit $?; \
+        else \
+                /etc/init.d/expire-sessions start || exit $?; \
+        fi \
+	fi
+
 clean:
 	rm -f configure-stamp build-stamp
-
