## hubzero-expire-sessions 1.1.8

=== Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
 
 configure:
-	chown www-data:adm $(VARLOGDIR)/expire-sessions
+	chown www-data:adm /var/log/expire-sessions
 	if [ -x "/etc/init.d/expire-sessions" ]; then \
         update-rc.d expire-sessions defaults >/dev/null; \
         if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \
