## hubzero-expire-sessions 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-expire-sessions
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -23,20 +23,30 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
+#
 
-USRSBINDIR=$(DESTDIR)/usr/sbin
-VARLOGDIR=$(DESTDIR)/var/log
-ETCDIR=$(DESTDIR)/etc
+USRSBIN=$(DESTDIR)/usr/sbin
+ETC=$(DESTDIR)/etc
+VARLOG=$(DESTDIR)/var/log
 
-default all build:
+ifeq ($(DISTRIBUTION),Debian)
+	INITFILE=expire-sessions.init.deb
+else
+	INITFILE=expire-sessions.init.rh
+endif
+
+all:
 	@true
 
 install:
-	install --mode 0755 -D expire-sessions.py $(USRSBINDIR)/expire-sessions
-	install --mode 0755 -D expire-sessions.init $(ETCDIR)/init.d/expire-sessions
-	install --mode 0750 -d $(VARLOGDIR)/expire-sessions
+	install --mode 0755 -D expire-sessions.py $(USRSBIN)/expire-sessions
+	install --mode 0755 -D $(INITFILE) $(ETC)/init.d/expire-sessions
+	install --mode 0755 -d $(VARLOG)/expire-sessions
 
-configure:
+uninstall:
+	@true
+
+postinst:
 	chown www-data:adm /var/log/expire-sessions
 	if [ -x "/etc/init.d/expire-sessions" ]; then \
         update-rc.d expire-sessions defaults >/dev/null; \
@@ -48,4 +58,6 @@
 	fi
 
 clean:
-	rm -f configure-stamp build-stamp
+	@true
+
+.PHONY: all install uninstall postinst clean
