## hubzero-expire-sessions 1.3.4

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,8 @@
 USRSBIN=$(DESTDIR)/usr/sbin
 ETC=$(DESTDIR)/etc
 VARLOG=$(DESTDIR)/var/log
+
+DISTRIBUTION=$(shell lsb_release -i -s)
 
 ifeq ($(DISTRIBUTION),Debian)
 	INITFILE=expire-sessions.init.deb
