## hubzero-expire-sessions 2.0.0

=== Makefile ===
# @package      hubzero-expire-sessions
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSBIN=$(DESTDIR)/usr/sbin
ETC=$(DESTDIR)/etc
VARLOG=$(DESTDIR)/var/log

DISTRIBUTION=$(shell lsb_release -i -s)

ifeq ($(DISTRIBUTION),Debian)
	INITFILE=expire-sessions.init.deb
else
	INITFILE=expire-sessions.init.rh
endif

all:
	@true

install:
	install --mode 0755 -D expire-sessions.py $(USRSBIN)/expire-sessions
	install --mode 0755 -D $(INITFILE) $(ETC)/init.d/expire-sessions
	install --mode 0755 -d $(VARLOG)/expire-sessions

uninstall:
	@true

postinst:
	chown www-data:adm /var/log/expire-sessions
	if [ -x "/etc/init.d/expire-sessions" ]; then \
        update-rc.d expire-sessions defaults >/dev/null; \
        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then \
                invoke-rc.d expire-sessions start || exit $?; \
        else \
                /etc/init.d/expire-sessions start || exit $?; \
        fi \
	fi

clean:
	@true

.PHONY: all install uninstall postinst clean
