## hubzero-expire-sessions 2.1.2-1+deb7

=== debian/changelog ===
hubzero-expire-sessions (2.1.2-1+deb7) unstable; urgency=low

  * bug fix if 'end' column is not defined

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 13 Apr 2018 10:02:12 -0400

hubzero-expire-sessions (2.1.1-1) unstable; urgency=medium

  * put latest path to maxwell first in search list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 14 Apr 2017 10:34:07 -0400

hubzero-expire-sessions (2.1.0-1) unstable; urgency=low

  * use end field for better calculation of session expiration

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 07 Dec 2016 10:40:11 -0500

hubzero-expire-sessions (2.0.2-1) unstable; urgency=low

  * make sure mysql starts before expire-sessions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 20 Sep 2016 16:53:48 -0400

hubzero-expire-sessions (2.0.1-1) unstable; urgency=low

  * 1.3.5; fix postinst to handle symbolic links better 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 17 Sep 2015 11:03:54 -0400

hubzero-expire-sessions (2.0.0-1) unstable; urgency=low

  * update copyright, license, version
  * remove deprecated package hubzero-mw-expire

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 18:08:10 -0400

hubzero-expire-sessions (1.3.3-1) unstable; urgency=low

  * tweaks to session expiration rules to ignore abnormal joblog entries

 -- Pascal Meunier <pmeunier@purdue.edu>  Tue, 17 Feb 2015 09:02:13 -0500

hubzero-expire-sessions (1.3.2-1) unstable; urgency=low

  * ignore submit sessions; added short-circuit to reduce load

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 10:42:31 -0500

hubzero-expire-sessions (1.2.1-3) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:12:17 -0400

hubzero-expire-sessions (1.2.1-2) unstable; urgency=low

  * remove conflicts dependency for ancient package we also provide here

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 12:46:37 -0400

hubzero-expire-sessions (1.2.1-1) unstable; urgency=low

  * determine distribution before select init file in Makefile

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 11:46:25 -0400

hubzero-expire-sessions (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 15:21:37 -0400

hubzero-expire-sessions (1.1.10-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 13:30:41 -0400

hubzero-expire-sessions (1.1.9-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Aug 2013 18:24:50 -0400

hubzero-expire-sessions (1.1.8-1) unstable; urgency=low

  * expire anonymous sessions intelligently
  * don't expire sessions with running jobs 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 12 Jun 2013 13:20:51 -0400

hubzero-expire-sessions (1.1.7-1) unstable; urgency=low

  * now deletes views without heartbeats, when starting
  * look for correct maxwell configuration file for 1.1 open source release

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 20 Dec 2012 14:43:47 -0500

hubzero-expire-sessions (1.1.6-1) unstable; urgency=low

  * fix permissions of log directory on package configure 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 16:31:34 -0400

hubzero-expire-sessions (1.1.5-1) unstable; urgency=low

  * fix ownership of log directory on package configure 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 14:47:24 -0400

hubzero-expire-sessions (1.1.4-1) unstable; urgency=low

  * fix the fix for reading maxwell configuration from correct location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 19 Sep 2012 09:39:13 -0400

hubzero-expire-sessions (1.1.3-1) unstable; urgency=low

  * clean up build scripts
  * add logfile error check

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 18 Sep 2012 22:23:25 -0400

hubzero-expire-sessions (1.1.2-1) unstable; urgency=low

  * update HUBzero Foundation, LLC. copyrights and Debian 6 packaging
  * fix script and init.d script to catch trying to start multiple instances

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 20:01:07 -0400

hubzero-expire-sessions (1.1.1-1) unstable; urgency=low

  * replace TIMEDIFF with TIMESTAMPDIFF to avoid warnings and increase range
  * move log files to new location during postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Mar 2012 14:05:10 -0400

hubzero-expire-sessions (1.1.0-1) unstable; urgency=low

  * fix lintian packaging errors

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 11:29:30 -0400

hubzero-expire-sessions (1.0.1-1) unstable; urgency=low

  * Made compatible with hubzero-mw2
  * Install into system directories
  * More LSB compliant init.d script

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Aug 2011 17:06:07 -0400

hubzero-expire-sessions (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:52:17 -0400

hubzero-expire-sessions (0.9.3-1) testing; urgency=low

  * change permissions on /usr/lib/hubzero/bin

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 10:56:24 -0400

hubzero-expire-sessions (0.9.2-1) testing; urgency=low

  * renamed expire-sessions.rc to expire-sessions in debian/rules

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 01 Apr 2011 11:27:12 -0400

hubzero-expire-sessions (0.9.1-1) testing; urgency=low

  * added necessary fields to debian/control.

 -- John Rosheck <jrosheck@purdue.edu>  Wed, 23 Mar 2011 23:19:15 -0400

hubzero-expire-sessions (0.9.0-2) testing; urgency=low

  * Renamed package to hubzero-expire-sessions

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 21 Mar 2011 13:07:49 -0400

hubzero-mw-expire (0.9.0-1) testing; urgency=low


