=== debian/control ===
Source: hubzero-expire-sessions
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-expire-sessions
Architecture: all
Replaces: hubzero-mw-expire
Breaks: hubzero-mw-expire
Depends: python (>=2.6), ${misc:Depends}
Description: HUBzero middleware session expiration daemon
 HUBzero middleware session expiration daemon. Detects app sessions
 which have run not been viewed within their timeout period and ends
 them.
